<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <title>Edit</title>
</head>
<body>
<form th:method="PATCH" th:action="@{/books/{id}(id=${book.getId()})}" th:object="${book}">
    <label for="title">Введите название книги</label>
    <input type="text" th:field="*{title}" id="title"/>
    <div style="color:red" th:if="${#fields.hasErrors('title')}" th:errors="*{title}">Error</div>
    <br/>
    <label for="author">Введите имя автора</label>
    <input type="text" th:field="*{author}" id="author"/>
    <div style="color:red" th:if="${#fields.hasErrors('author')}" th:errors="*{author}">Error</div>
    <br/>
    <label for="year">Введите дату написания</label>
    <input type="text" th:field="*{year}" id="year"/>
    <div style="color:red" th:if="${#fields.hasErrors('year')}" th:errors="*{year}">Error</div>
    <br/>
    <input type="submit" value="Редактировать!"/>
</form>
</body>
</html>